<template>
  <div>
    <Header />
    <div class="w-full px-4 md:px-0 md:w-[1100px] mx-auto mt-4">
      <!-- breadcrumb -->
      <div class="flex items-center mb-5 md:mb-16">
        <a href="/products" class="text-[11px] text-gray-400 mr-2">Products</a>
        <font-awesome-icon icon="chevron-right" class="text-[10px] mx-2 text-black" />
        <div class="text-[11px] truncate">{{ product.title }}</div>
      </div>

      <div class="block md:flex">
        <div class="md:hidden text-[24px] mb-2 font-bold">{{ product.title }}</div>
        <div class="md:hidden text-[14px] text-gray-500 mb-4">{{ product.category }}</div>
        <div class="md:hidden text-[24px] text-gray-500 mb-4">{{ product.price | currency('USD') }}</div>
        <div class="w-full md:w-[600px] h-[300px] md:h-[500px] shrink-0 flex items-center justify-center border border-gray-200 mb-5 md:mb-0">
          <img :src="product.image" class="h-[150px] md:h-[300px]" alt="image"/>
        </div>
        <div class="md:pl-10">
          <div class="hidden md:block text-[24px] mb-2 font-bold">{{ product.title }}</div>
          <div class="hidden md:block text-[14px] text-gray-500 mb-4">{{ product.category }}</div>
          <div class="hidden md:block text-[24px] text-gray-500 mb-4">{{ product.price | currency('USD') }}</div>
          <div class="text-[14px]">{{ product.description }}</div>
          <button class="w-full h-[50px] leading-[50px] rounded-full bg-black text-white text-[16px] text-center mt-6">Add to Cart</button>
          <button class="w-full h-[50px] leading-[50px] rounded-full border border-black text-[16px] text-center mt-6">Favorite</button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapState, mapActions } from 'vuex';
import Header from "~/components/Header.vue";
import MainContent from "~/components/MainContent.vue";

export default {
  name: 'ProductDetail',
  components: {
    Header,
    MainContent
  },
  async asyncData({ store, params: { id } }) {
    await store.dispatch('getProductById', id);
    return {};
  },
  computed: {
    ...mapState(['product', 'isLoading', 'isError']),
  },
  methods: {
    ...mapActions(['getProductById']),
  }
}
</script>
